Package org.eclipse.swt.internal

# Record Class DPIUtil.ElementAtZoom<T>

java.lang.Object
java.lang.Record
org.eclipse.swt.internal.DPIUtil.ElementAtZoom<T>

Type Parameters:
  `T` - type of the element to be presented, e.g., `ImageData`

Enclosing class:
  `DPIUtil`

public static record DPIUtil.ElementAtZoom<T>(T element, int zoom) extends Record
Represents an element, such as some image data, at a specific zoom level.

## Constructor Summary

Constructors
Constructor
Description
`ElementAtZoom(T element, int zoom)`
Creates an instance of a `ElementAtZoom` record class.

## Method Summary

Modifier and Type
Method
Description
`T`
`element()`
Returns the value of the `element` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.
`int`
`zoom()`
Returns the value of the `zoom` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ElementAtZoom

public ElementAtZoom(T element, int zoom)
Creates an instance of a `ElementAtZoom` record class.

Parameters:
  `element` - the value for the `element` record component
  `zoom` - the value for the `zoom` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### element

public T element()
Returns the value of the `element` record component.

Returns:
  the value of the `element` record component

### zoom

public int zoom()
Returns the value of the `zoom` record component.

Returns:
  the value of the `zoom` record component